View Issue Details

IDProjectCategoryView StatusLast Update
0025614mantisbtinstallationpublic2019-04-21 02:53
ReporterobmschAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.21.0Fixed in Version2.21.0 
Summary0025614: Missing file (api/rest/web.config) in installer
Description

While this file is included in the tagged release on GitHub, the installer on sourceforge doesn't contain it.

TagsNo tags attached.

Activities

dregad

dregad

2019-03-18 09:45

developer   ~0061684

Last edited: 2019-03-18 09:47

View 2 revisions

Confirmed.

I just checked and the web.config file is actually specifically excluded by the release build script, and it has been doing so since jreese wrote it back in 2008 so it would be missing also from every single release tarball and nightly build.

I'll fix the script so this does not happen again, and will let @vboctor decide whether he wants to rebuild and publish the tarballs again or not.

obmsch

obmsch

2019-03-18 20:06

reporter   ~0061703

@dregad thanks for the fix. I don't think there is any need to reroll. The file is new in 2.20.0 and only relevant for REST clients running against MantisBT on IIS.
I guess, we are talking small numbers here. And for an admin willing to go this path, it's only a step anyway.

  • URLRewrite module not installed by default
  • Handler by default only accepts 'GET, HEAD, POST' verbs
    But that's not MantisBt's bussiness.

Related Changesets

Tools: master 1edfc97d

2019-03-18 14:48:40

dregad

Details Diff
buildrelease.py: don't exlude web.config files

Fixes 0025614
Affected Issues
0025614
mod - buildrelease.py Diff File

Issue History

Date Modified Username Field Change
2019-03-18 05:05 obmsch New Issue
2019-03-18 09:45 dregad Assigned To => dregad
2019-03-18 09:45 dregad Status new => assigned
2019-03-18 09:45 dregad Note Added: 0061684
2019-03-18 09:45 dregad Target Version => 2.21.0
2019-03-18 09:47 dregad Note Edited: 0061684 View Revisions
2019-03-18 09:55 dregad Changeset attached => Tools master 1edfc97d
2019-03-18 09:55 dregad Status assigned => resolved
2019-03-18 09:55 dregad Resolution open => fixed
2019-03-18 20:06 obmsch Note Added: 0061703
2019-03-21 18:02 atrol Fixed in Version => 2.21.0
2019-04-21 02:53 vboctor Status resolved => closed